compact1, compact2, compact3
java.net

## Class NoRouteToHostException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.net.SocketException
        - - java.net.NoRouteToHostException

- All Implemented Interfaces:
    Serializable

      public class NoRouteToHostException
      extends SocketException

  Signals that an error occurred while attempting to connect a socket to a remote address and port. Typically, the remote host cannot be reached because of an intervening firewall, or if an intermediate router is down.
  Since:
    JDK1.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoRouteToHostException()` Construct a new NoRouteToHostException with no detailed message.
    `NoRouteToHostException(String msg)` Constructs a new NoRouteToHostException with the specified detail message as to why the remote host cannot be reached.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoRouteToHostException

          public NoRouteToHostException(String msg)

      Constructs a new NoRouteToHostException with the specified detail message as to why the remote host cannot be reached. A detail message is a String that gives a specific description of this error.
      Parameters:
        `msg` - the detail message

    - #### NoRouteToHostException

          public NoRouteToHostException()

      Construct a new NoRouteToHostException with no detailed message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.